package medianRanking.Exemple;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import medianRanking.MedianRanking;

public class ExampleClasse<T> implements MedianRanking<T> {

	public List<Collection<T>> computMedianRanking(
			Collection<List<Collection<T>>> rankings) {

		return rankings.iterator().next();
	}

	@Override
	public String getFullName() {
		return "Ma classe d'exemple";
	}

	@Override
	public boolean isBreakingTiesArbitrarily() {
		return true;
	}

	@Override
	public boolean isUsingRandomValue() {
		return false;
	}

	@Override
	public Collection<List<Collection<T>>> computMedianRankings(
			Collection<List<Collection<T>>> rankings) {
		Collection<List<Collection<T>>> ret = new ArrayList<List<Collection<T>>>();
		ret.add(this.computMedianRanking(rankings));
		return ret;
	}

}
