package annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Annotation de package
 * 
 * @author adrien
 *
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface MRPackageAnnotation {
	/**
	 * Nom du package
	 */
	String name();
	
	/**
	 * Description du package
	 */
	String description();
}
