package medianRanking;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface KendallTauGenerlized {

	// public static KendallTauGenerlized instance = new KendallTauGenerlized();

	public static KendallTauGenerlized instance = KendallTauGenerlizedFactory.newInstance(1, 1);

	public static enum KendallTauType {
		OriginalKen38("Kendallτ"), Generalized("KendallτGeneralized"), Asymetric("KendallτAsymetric"), SimilarityMeasure(
				"SimilarityMeasure");

		private String name;

		private KendallTauType(String name) {
			this.name = name;
		}

		public String getName() {
			return name;
		}
	}

	public static interface Accessor<T> {
		Object getName(T e);

		float getGrade(T e);
	}

	public <T> Map<KendallTauType, Float> evaluateResults(List<Collection<T>> elementsR1, List<Collection<T>> elementsR2);

	public <T> Map<KendallTauType, Float> evaluateResults(List<Collection<T>> c, Collection<List<Collection<T>>> inputRankings);

}
